Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes

# cv::FlannBasedMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::FlannBasedMatcher:

List of all members.

## Public Member Functions
virtual void | add (const vector< Mat > &descriptors)
virtual void | clear ()
virtual Ptr< DescriptorMatcher > | clone (bool emptyTrainData=false) const
| FlannBasedMatcher (const Ptr< flann::IndexParams > &indexParams=new flann::KDTreeIndexParams(), const Ptr< flann::SearchParams > &searchParams=new flann::SearchParams())
virtual bool | isMaskSupported () const
virtual void | train ()
## Protected Member Functions
virtual void | knnMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
virtual void | radiusMatchImpl (const Mat &queryDescriptors, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks=vector< Mat >(), bool compactResult=false)
## Static Protected Member Functions
static void | convertToDMatches (const DescriptorCollection &descriptors, const Mat &indices, const Mat &distances, vector< vector< DMatch > > &matches)
## Protected Attributes
int | addedDescCount
Ptr< flann::Index > | flannIndex
Ptr< flann::IndexParams > | indexParams
DescriptorCollection | mergedDescriptors
Ptr< flann::SearchParams > | searchParams

## Constructor & Destructor Documentation

cv::FlannBasedMatcher::FlannBasedMatcher | ( | const Ptr< flann::IndexParams > & | indexParams = `new flann::KDTreeIndexParams()`,
|  | const Ptr< flann::SearchParams > & | searchParams = `new flann::SearchParams()`
| ) |  |

## Member Function Documentation

virtual void cv::FlannBasedMatcher::add | ( | const vector< Mat > & | descriptors ) | `[virtual]`

Reimplemented from cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::clear | ( | ) | `[virtual]`

Reimplemented from cv::DescriptorMatcher.

virtual Ptr<DescriptorMatcher> cv::FlannBasedMatcher::clone | ( | bool | emptyTrainData = `false` ) | const`[virtual]`

Implements cv::DescriptorMatcher.

static void cv::FlannBasedMatcher::convertToDMatches | ( | const DescriptorCollection & | descriptors,
|  | const Mat & | indices,
|  | const Mat & | distances,
|  | vector< vector< DMatch > > & | matches
| ) |  | `[static, protected]`

virtual bool cv::FlannBasedMatcher::isMaskSupported | ( | ) | const`[virtual]`

Implements cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::knnMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  | `[protected, virtual]`

Implements cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::radiusMatchImpl | ( | const Mat & | queryDescriptors,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks = `vector< Mat >()`,
|  | bool | compactResult = `false`
| ) |  | `[protected, virtual]`

Implements cv::DescriptorMatcher.

virtual void cv::FlannBasedMatcher::train | ( | ) | `[virtual]`

Reimplemented from cv::DescriptorMatcher.

## Member Data Documentation

int cv::FlannBasedMatcher::addedDescCount`[protected]`

Ptr<flann::Index> cv::FlannBasedMatcher::flannIndex`[protected]`

Ptr<flann::IndexParams> cv::FlannBasedMatcher::indexParams`[protected]`

DescriptorCollection cv::FlannBasedMatcher::mergedDescriptors`[protected]`

Ptr<flann::SearchParams> cv::FlannBasedMatcher::searchParams`[protected]`

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines